MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025359Open CASCADE[OCCT] OCCT:DRAWpublic2014-10-13 14:292014-11-12 09:53
Reporterapv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025359: In Draw Test Harness: content of menu-items "Curves" and "Surfaces" is increased after each sample launching
DescriptionContent of menu-items "Curves" and "Surfaces" is increased after each demonstration launching from window "Samples"
Steps To Reproduce1. Run Draw Test Harness
2. Select menu-item "Samples" - "View samples"
3. In window "Samples" select "Modeling" - "CAD shape" and click "Run sample"
4. Verify content of menu-items "Curves" and "Surfaces"
5. Repeat steps 3-4
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025231closedbugmaster DRAW - make top level menu useful 

-  Notes
(0033018)
git (administrator)
2014-10-13 15:57

Branch CR25359 has been created by isz.

SHA-1: 17e6aefcc7d93f7ee1169e0f724ebfff3246ddcc


Detailed log of new commits:

Author: isz
Date: Mon Oct 13 15:52:14 2014 +0400

    0025359: In Draw Test Harness: content of menu-items "Curves" and "Surfaces" is increased after each sample launching
    
    Menus "Curves" and "Surfaces" are destroyed now (if they exist) before displaying.
(0033019)
isz (developer)
2014-10-13 16:06

Dear Andrey,
branch CR25359 is ready for review. Please note, that this problem can be reproduced even in master branch by calling "pload MODELING" several times. So it seems to me, it is not the child of 0025231.

Thank you!
(0033021)
abv (manager)
2014-10-13 16:24

The fix seems Ok, just could you avoid instantiating global variable?
I mean the line "set m $theMenus(Curves)"

I confirm that the problem can be reproduced by calling several times 'pload MODELING' on earlier releases of OCCT (I have tried 6.7.1).
(0033022)
git (administrator)
2014-10-13 16:41

Branch CR25359 has been updated forcibly by isz.

SHA-1: 1c9fccff944c9e2b63fe22e99011ee2da3b90828
(0033023)
isz (developer)
2014-10-13 16:43

"Avoid instantiating global variable" like this?
(0033235)
abv (manager)
2014-10-16 21:25

No remarks, please integrate (no compilation nor grid testing is required)
(0034316)
git (administrator)
2014-11-12 09:53

Branch CR25359 has been deleted by inv.

SHA-1: 1c9fccff944c9e2b63fe22e99011ee2da3b90828

- Related Changesets
occt: master 196b0148
Timestamp: 2014-10-13 12:41:00
Author: isz
Committer: bugmaster
Details ] Diff ]
0025359: In Draw Test Harness: content of menu-items "Curves" and "Surfaces" is increased after each sample launching

Menus "Curves" and "Surfaces" are destroyed now (if they exist) before displaying.
mod - src/DrawResources/CURVES.tcl Diff ] File ]
mod - src/DrawResources/SURFACES.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-13 14:29 apv New Issue
2014-10-13 14:29 apv Assigned To => isz
2014-10-13 14:30 apv Test case number => Not needed
2014-10-13 14:30 apv Relationship added child of 0025231
2014-10-13 14:53 abv Status new => assigned
2014-10-13 14:53 abv Target Version => 6.8.0
2014-10-13 15:57 git Note Added: 0033018
2014-10-13 16:06 isz Note Added: 0033019
2014-10-13 16:06 isz Assigned To isz => abv
2014-10-13 16:06 isz Status assigned => resolved
2014-10-13 16:24 abv Note Added: 0033021
2014-10-13 16:24 abv Assigned To abv => isz
2014-10-13 16:24 abv Status resolved => assigned
2014-10-13 16:41 git Note Added: 0033022
2014-10-13 16:41 isz Assigned To isz => abv
2014-10-13 16:41 isz Status assigned => resolved
2014-10-13 16:43 isz Note Added: 0033023
2014-10-16 21:25 abv Note Added: 0033235
2014-10-16 21:25 abv Assigned To abv => bugmaster
2014-10-16 21:25 abv Status resolved => reviewed
2014-10-17 15:27 apv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master 196b0148
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:53 git Note Added: 0034316


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker